# qbolt

![](https://img.shields.io/badge/written%20in-C%2B%2B%20%28Qt%29%2C%20Golang%20%28CGo%29-blue)

A graphical database manager for BoltDB.

QBolt allows you to graphically view and edit the content of Bolt databases.

The project consists of two parts; a C binding (CGo) for the embeddable Bolt database engine, and a graphical interface built in C++/Qt that links to it.

## Features

- Open existing database or create new database
- Option to open database as readonly for concurrent use
- Create, list, edit and delete keys and buckets (including nested buckets)
- Safe for use with arbitrary binary key/bucket names (new ones created in UTF-8)
- View database and bucket statistics
- 100% Bolt compatibility via the real codebase
- Tested working on both Windows and Linux

## License

Source code content of `qbolt-x.x.x-src.tar.gz` is released under the ISC license.
BoltDB is released under the MIT license.
The Windows binary is released under LGPL-3+ owing to the static copy of Qt.

## See Also

- BoltDB https://github.com/boltdb/bolt

## Changelog

2017-06-19 1.0.1
- Feature: Option to open database as read-only
- Fix an issue with support for bucket names and keys not surviving UTF-8 roundtrips (now binary-clean)
- Fix an issue with crashing when deleting a bucket other than the selected one
- Fix a cosmetic issue with application icon on Windows
- [⬇️ qbolt-1.0.1-win32.zip](dist-archive/qbolt-1.0.1-win32.zip) *(5.07 MiB)*
- [⬇️ qbolt-1.0.1-src.tar.gz](dist-archive/qbolt-1.0.1-src.tar.gz) *(265.88 KiB)*
- [⬇️ qbolt-1.0.1-linux_amd64.tar.xz](dist-archive/qbolt-1.0.1-linux_amd64.tar.xz) *(584.88 KiB)*


2017-05-21 1.0.0
- Initial public release
- [⬇️ qbolt-1.0.0-win32.zip](dist-archive/qbolt-1.0.0-win32.zip) *(5.07 MiB)*
- [⬇️ qbolt-1.0.0-src.tar.gz](dist-archive/qbolt-1.0.0-src.tar.gz) *(221.91 KiB)*
- [⬇️ qbolt-1.0.0-linux_amd64.tar.xz](dist-archive/qbolt-1.0.0-linux_amd64.tar.xz) *(584.62 KiB)*

